# download

## Overview

This endpoint is used to download the csv associated with a report, which was generated by an organization or institution administrator.

## HTTP Request

```http
GET /api/v1/reports/:reportReference/download
```

## Path parameters

<table><thead><tr><th width="302.5">Parameter</th><th></th></tr></thead><tbody><tr><td>reportReference</td><td>A qualified reference to the report, of the shape <code>ownerName.reportIdentifier</code>. See <a href="/pages/-LzsPrAlHWxazTnhQQJE">referencing resources</a> for more information.</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Authorization

You must be an administrator of the report's organization or institution, and your access token must have the following scope:

* organization.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

The response body will contain the contents of the report as a CSV document.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/reports/download.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
